var net = require('net'),
    Address6 = require('ip-address').Address6;

exports.ipbytes = function(str) {
  var type = net.isIP(str),
      nums,
      bytes,
      i;

  if (type === 4) {
    nums = str.split('.', 4);
    bytes = new Array(4);
    for (i = 0; i < 4; ++i) {
      if (isNaN(bytes[i] = +nums[i]))
        throw new Error('Error parsing IP: ' + str);
    }
  } else if (type === 6) {
    if (!Address6.isValid(str))
      throw new Error('Error parsing IP: ' + str);

    var addr = new Address6(str),
        b = 0,
        group;
    bytes = addr.toUnsignedByteArray();
  }

  return bytes;
};
